Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

ngrok-version
integer
default:2
required

Path Parameters

edge_id
string
required

unique identifier of this edge

id
string
required

unique identifier of this edge route

Response

200 - application/json

Get an HTTPS Edge Route by ID

edge_id
string

unique identifier of this edge

id
string

unique identifier of this edge route

created_at
string

timestamp when the edge configuration was created, RFC 3339 format

match_type
string

Type of match to use for this route. Valid values are "exact_path" and "path_prefix".

match
string

Route selector: "/blog" or "example.com" or "example.com/blog"

uri
string

URI of the edge API resource

description
string

human-readable description of what this edge will be used for; optional, max 255 bytes.

metadata
string

arbitrary user-defined machine-readable data of this edge. Optional, max 4096 bytes.

backend
object

backend module configuration or null

ip_restriction
object

ip restriction module configuration or null

circuit_breaker
object

circuit breaker module configuration or null

compression
object

compression module configuration or null

request_headers
object

request headers module configuration or null

response_headers
object

response headers module configuration or null

webhook_verification
object

webhook verification module configuration or null

oauth
object

oauth module configuration or null

saml
object

saml module configuration or null

oidc
object

oidc module configuration or null

websocket_tcp_converter
object

websocket to tcp adapter configuration or null

user_agent_filter
object

n/a

traffic_policy
object

the traffic policy associated with this edge or null